# Detail of brand

Endpoint: GET /api/brands/{code}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `code` (string, required)
    brand GUID
    Example: "1e3f3f3f-3f3f-63ca-b93f-02423f1f0005"

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.guid` (string, required)
    brand GUID

  - `data.name` (string, required)
    Name of brand

  - `data.indexName` (string, required)
    Unique index name of brand

  - `data.description` (string,null, required)
    Description of brand. May contain HTML character

  - `data.brandWeb` (string,null, required)
    URL of brand website

  - `data.postalAddress` (string,null)
    GPSR, postal address

  - `data.contactEmail` (string,null)
    GPSR, contact email

  - `data.europeanResellerPostalAddress` (string,null)
    GPSR, european reseller postal address

  - `data.europeanResellerContactEmail` (string,null)
    GPSR, reseller contact email

  - `data.manufacturingCompanyName` (string,null)
    GPSR, manufacturing company name

  - `data.europeanResellerManufacturingCompanyName` (string,null)
    GPSR, reseller manufacturing company name

  - `data.showInCategoriesMenu` (boolean, required)
    Is this brand shown in categories menu?

  - `data.showInBrandList` (boolean, required)
    Is this brand shown in brand list?

  - `data.metaTitle` (string,null, required)
    Meta title of brand

  - `data.metaDescription` (string,null, required)
    Meta description of brand

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


